datacache <- new.env(hash=TRUE, parent=emptyenv())

mapping250kstyhsug <- function() showQCData("mapping250kstyhsug", datacache)
mapping250kstyhsug_dbconn <- function() dbconn(datacache)
mapping250kstyhsug_dbfile <- function() dbfile(datacache)
mapping250kstyhsug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mapping250kstyhsug_dbInfo <- function() dbInfo(datacache)

mapping250kstyhsugORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mapping250kstyhsug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "mapping250kstyhsug", "chip mapping250kstyhsug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("mapping250kstyhsug.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mapping250kstyhsug_dbconn())
}

